package me.qwq.doghouse.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import me.qwq.doghouse.annotation.StaticAttribute;

@StaticAttribute
public enum MetaTypeEnum implements IQueryableEnum {

    CATEGORY(0,"分类"),
    TAG(1,"标签");

    @EnumValue
    private final int status;
    private final String note;

    MetaTypeEnum(int status, String note) {
        this.status = status;
        this.note = note;
    }

    public String getNote() {
        return note;
    }

    public int getStatus() {
        return status;
    }
}
